/**
@mainpage chext: an extension renamer

```
 ______     __  __     ______     __  __     ______
/\  ___\   /\ \_\ \   /\  ___\   /\_\_\_\   /\__  _\
\ \ \____  \ \  __ \  \ \  __\   \/_/\_\/_  \/_/\ \/
 \ \_____\  \ \_\ \_\  \ \_____\   /\_\/\_\    \ \_\
  \/_____/   \/_/\/_/   \/_____/   \/_/\/_/     \/_/

```

([image generator](http://patorjk.com/software/taag/#p=display&f=Sub-Zero&t=chext))

`chext` is a simple command line that changes the extension of a list of files.
The target extension is given as the first command line argument, and it is mandatory.
The remaining arguments contains the list of files to be renamed.

For example. The following invocation

	chext md file1.txt file2.doc fileN.html

will rename the files in this way:

	file1.txt  -> file1.md
	file2.doc  -> file2.md
	fileN.html -> fileN.md

If a target file already exists, `chext` skips renaming it.


## Options

The command line syntax recognized by `chext` is:

	chext [options] EXTENSION FILES

The following options are supported by `chext`:

	-n         No effect. It only shows how files will be renamed. Implies -v.
	-v         Verbose mode. It will report each renamed file.
	--help     Print this help.
	--version  Print program version and contact information.

*/
