#include "args.h"

#include <string.h>

void init_arguments(arguments_t* arguments)
{
	(*arguments).is_valid = true;
	arguments->help_asked = false;
	arguments->version_asked = false;
	arguments->target_extension = NULL;
}

arguments_t analyze_arguments(int argc, char* argv[])
{
	arguments_t arguments;

	init_arguments(&arguments);

	for ( int index = 1; index < argc; ++index )
	{
		if ( strcmp(argv[index], "--help") == 0 )
			arguments.help_asked = true;
	}

	return arguments;
}

