#ifndef TEST_H
#define TEST_H


#define TEST_CASE(name) \
void name()


#define BEGIN_TEST_CASE(name) \
void name() \
{


#define END_TEST_CASE() \
}


#define TEST(expression) \
	do { \
		if ( ! ( expression ) ) \
			fprintf(stderr, "%s:%d: %s\n", __FILE__, __LINE__, #expression); \
	} while (0)

#endif // TEST_H
